Subreddit Feeds V2
Recommended Media V2
Fetch media-focused recommendation feed. Provide seed subreddit IDs to get recommended images and videos from related communities.
GET /api/v2/feed/recommended-media
Fetch media-focused recommendation feed. Provide seed subreddit IDs to get recommended images and videos from related communities.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
seed_subreddit_ids | string | No | Comma-separated subreddit IDs (e.g. t5_2qh33,t5_2cneq) for seeding recommendations |
time_filter | string | No | Time filter: hour, day, week, month, year, all |
limit | string | No | Max items to return, auto-paginates (1-500, default: 100) |
sort | string | No | Sort order: hot, new, top, rising (default: hot) |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/feed/recommended-media?seed_subreddit_ids=<seed_subreddit_ids>&time_filter=<time_filter>&limit=25&sort=hot" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/feed/recommended-media?seed_subreddit_ids=<seed_subreddit_ids>&time_filter=<time_filter>&limit=25&sort=hot", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v2/feed/recommended-media?seed_subreddit_ids=<seed_subreddit_ids>&time_filter=<time_filter>&limit=25&sort=hot"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"success": true,
"items": [
{
"node": {
"id": "t3_1sys4r2",
"createdAt": "2018-02-08T01:26:24.941000+0000",
"editedAt": null,
"postTitle": "Interested in gaining a new perspective on things? Check out the r/test subreddit!",
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"content": null,
"domain": "reddit.com",
"isSpoiler": false,
"isNsfw": false,
"isCommercialCommunication": false,
"isLocked": true,
"isSaved": false,
"isHidden": false,
"isGildable": false,
"isCrosspostable": false,
"isScoreHidden": true,
"isArchived": false,
"isStickied": false,
"isPollIncluded": false,
"poll": null,
"isFollowed": false,
"awardings": [],
"isContestMode": false,
"distinguishedAs": null,
"voteState": "NONE",
"score": null,
"commentCount": 0.0,
"authorFlair": null,
"flair": null,
"authorInfo": {
"id": "t2_exampleu",
"name": "redditads",
"isBlocked": false,
"isCakeDayNow": false,
"attributes": {},
"newIcon": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 256,
"height": 256
}
},
"iconSmall": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 50,
"height": 50
}
},
"snoovatarIcon": null,
"profile": {
"isNsfw": false
},
"accountType": "USER"
},
"isThumbnailEnabled": true,
"thumbnail": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 140,
"height": 140
}
},
"media": {
"previewMediaId": "tYcca__B981Md52bBlfvfdo-MlQiCaKlQY9HNUmxlkw",
"still": {
"source": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": "\u2026",
"height": "\u2026"
}
},
"small": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": "\u2026",
"height": "\u2026"
}
},
"medium": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": "\u2026",
"height": "\u2026"
}
},
"large": null,
"xlarge": null,
"xxlarge": null,
"xxxlarge": null
},
"obfuscated_still": {
"source": null,
"small": null,
"medium": null,
"large": null,
"xlarge": null,
"xxlarge": null,
"xxxlarge": null
},
"animated": null,
"streaming": null,
"video": null,
"packagedMedia": null,
"typeHint": null,
"download": null
},
"moderationInfo": null,
"suggestedCommentSort": "QA",
"permalink": "/user/redditads/comments/7w17su/interested_in_gaining_a_new_perspective_on_things/",
"isSelfPost": false,
"postHint": "LINK",
"postEventInfo": null,
"gallery": null,
"profile": {
"redditorInfo": {
"id": "t2_exampleu",
"name": "redditads",
"prefixedName": "u/redditads",
"accountType": "USER"
},
"id": "t5_examples",
"description": null,
"subscribersCount": 0,
"isNsfw": false,
"modPermissions": null,
"name": "u_redditads",
"styles": {
"icon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"legacyIcon": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": "\u2026",
"height": "\u2026"
}
},
"legacyPrimaryColor": null
}
},
"callToAction": null,
"subcaption": null,
"subcaptionStrikethrough": null,
"ctaMediaColor": null,
"isBlank": true,
"outboundLink": {
"url": null,
"expiresAt": null
},
"impressionId": "5842460782951965251",
"adEvents": [
{
"type": "IMPRESSION",
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"encryptedTrackingId": null
}
],
"encryptedTrackingPayload": null,
"additionalEventMetadata": null,
"isCreatedFromAdsUi": true,
"isSurveyAd": false,
"promoLayout": null,
"appStoreInfo": null,
"adSupplementaryTextRichtext": null,
"leadGenerationInformation": null,
"campaign": {
"id": "485854"
},
"adTakeover": null,
"isInAppBrowserOverride": false,
"adUserTargeting": {
"adTransparencyEncodedData": "GQgsABkVAgA="
},
"excludedExperiments": null,
"adsCorrelationId": "04d11699-13cc-4552-8fbb-1b4f1882e4f2",
"adUrl": null,
"galleryLayout": null,
"upvoteRatio": 0.24363802350793107,
"crowdControlLevel": "OFF",
"isCrowdControlFilterEnabled": false,
"languageCode": "en",
"isTranslatable": false,
"isTranslated": false,
"translatedLanguage": null,
"removedByCategory": null,
"crosspostRoot": null,
"promotedCommunityPost": null
}
},
{
"node": {
"id": "t3_1sys4r2",
"createdAt": "2026-04-28T16:39:44.862000+0000",
"editedAt": null,
"postTitle": "Air bubble from 20 million years ago trapped in amber.",
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"content": null,
"domain": "v.redd.it",
"isSpoiler": false,
"isNsfw": false,
"isCommercialCommunication": false,
"isLocked": false,
"isSaved": false,
"isHidden": false,
"isGildable": true,
"isCrosspostable": false,
"isScoreHidden": false,
"isArchived": false,
"isStickied": false,
"isPollIncluded": false,
"poll": null,
"isFollowed": false,
"awardings": [
{
"award": {
"id": "award_free_mindblown",
"name": "Mindblown",
"tags": [
"\u2026",
"\u2026",
"\u2026 (2 more items)"
],
"static_icon_16": {
"url": "\u2026",
"dimensions": "\u2026"
},
"static_icon_24": {
"url": "\u2026",
"dimensions": "\u2026"
},
"static_icon_32": {
"url": "\u2026",
"dimensions": "\u2026"
},
"static_icon_48": {
"url": "\u2026",
"dimensions": "\u2026"
},
"static_icon_64": {
"url": "\u2026",
"dimensions": "\u2026"
}
},
"total": 8
},
{
"award": {
"id": "award_free_popcorn_2",
"name": "Popcorn",
"tags": [
"\u2026",
"\u2026",
"\u2026 (2 more items)"
],
"static_icon_16": {
"url": "\u2026",
"dimensions": "\u2026"
},
"static_icon_24": {
"url": "\u2026",
"dimensions": "\u2026"
},
"static_icon_32": {
"url": "\u2026",
"dimensions": "\u2026"
},
"static_icon_48": {
"url": "\u2026",
"dimensions": "\u2026"
},
"static_icon_64": {
"url": "\u2026",
"dimensions": "\u2026"
}
},
"total": 1
},
"\u2026 (1 more items)"
],
"isContestMode": false,
"distinguishedAs": null,
"voteState": "NONE",
"score": 26142,
"commentCount": 954,
"authorFlair": null,
"flair": {
"type": "text",
"text": "NATURE",
"richtext": null,
"textColor": "LIGHT",
"template": {
"id": "376a2a58-be97-11ed-b46b-6aa192ca4aad",
"isEditable": false,
"backgroundColor": "#349E48"
}
},
"authorInfo": {
"id": "t2_exampleu",
"name": "sirenoleg",
"isBlocked": false,
"isCakeDayNow": false,
"attributes": {},
"newIcon": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 256,
"height": 256
}
},
"iconSmall": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 50,
"height": 50
}
},
"snoovatarIcon": null,
"profile": {
"isNsfw": false
},
"accountType": "USER"
},
"isThumbnailEnabled": true,
"thumbnail": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 140,
"height": 140
}
},
"media": {
"previewMediaId": "MWF6aGY1MzBteXhnMYg5aPG0hGrUKf7Z8DgiJGMF4yCsdtg5EQkYhbK-73TZ",
"still": {
"source": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": "\u2026",
"height": "\u2026"
}
},
"small": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": "\u2026",
"height": "\u2026"
}
},
"medium": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": "\u2026",
"height": "\u2026"
}
},
"large": null,
"xlarge": null,
"xxlarge": null,
"xxxlarge": null
},
"obfuscated_still": {
"source": null,
"small": null,
"medium": null,
"large": null,
"xlarge": null,
"xxlarge": null,
"xxxlarge": null
},
"animated": null,
"streaming": {
"hlsUrl": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dashUrl": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"scrubberMediaUrl": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 216,
"height": 480
},
"duration": 18,
"isGif": false
},
"video": null,
"packagedMedia": {
"muxedMp4s": {
"low": {
"url": "\u2026"
},
"medium": {
"url": "\u2026"
},
"high": {
"url": "\u2026"
},
"highest": {
"url": "\u2026"
},
"recommended": {
"url": "\u2026"
}
}
},
"typeHint": "VIDEO",
"download": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/"
}
},
"moderationInfo": null,
"suggestedCommentSort": "CONFIDENCE",
"permalink": "/r/test/comments/1sys4r2/image_post/",
"isSelfPost": false,
"postHint": "HOSTED_VIDEO",
"postEventInfo": null,
"gallery": null,
"subreddit": {
"id": "t5_examples",
"name": "interesting",
"prefixedName": "r/interesting",
"isQuarantined": false,
"title": "interesting ",
"type": "PUBLIC",
"subscribersCount": 1735490.0,
"isNsfw": false,
"isSubscribed": false,
"isThumbnailsEnabled": true,
"styles": {
"icon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"legacyIcon": null,
"primaryColor": "#2972A3",
"bannerBackgroundImage": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"legacyPrimaryColor": null
},
"modPermissions": null,
"communityStatus": {
"description": {
"markdown": "\\\\ud83d\\\\udd25",
"richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"\\\\ud83d\\\\udd25\"}],\"e\":\"par\"}]}"
},
"emoji": {
"name": "snoo_simple_smile",
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/"
}
},
"isTitleSafe": true,
"isUserBanned": false,
"tippingStatus": null,
"whitelistStatus": "ALL_ADS"
},
"outboundLink": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"expiresAt": "2026-04-29T14:00:01.730896+0000"
},
"upvoteRatio": 0.9610945193316652,
"crowdControlLevel": "OFF",
"isCrowdControlFilterEnabled": false,
"languageCode": "en",
"isTranslatable": false,
"isTranslated": false,
"translatedLanguage": null,
"removedByCategory": null,
"crosspostRoot": null
}
}
],
"count": 2
},
"error": null,
"timestamp": "2026-04-29T09:00:01.881725+00:00"
}